<bugID>1250128<Summary>[Sync Tabs Sidebar] Removing the search filter doesn't work the 1st time X is clicked</Summary><Description>Steps to reproduce:
1. Open Firefox and login with an account that has multiple synced tabs.
2. Open Synced Tabs Sidebar.
3. Click in the search field and search for a word.
4. Click on X in the search field.

Expected result:
4. Search field should be cleared the first time X is clicked.

Actual result:
4. The user has to click 2 times in order for the search field to be cleared.

Note:
Issue reproduces on Windows 7 and Ubuntu 15.04.
Issue does not reproduce on Bookmarks sidebar and History Sidebar.</Description></bugID>